Debian Bug report logs - #446257
mailman: case sensitivity of list names is inconsistent across list_lists/list_members/list_admins

version graph

Package: mailman; Maintainer for mailman is Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>; Source for mailman is src:mailman.

Reported by: Philip Hands <phil@hands.com>

Date: Thu, 11 Oct 2007 13:24:01 UTC

Severity: minor

Tags: patch

Found in version mailman/1:2.1.9-7

Fixed in version mailman/1:2.1.10~b3-1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sf.net/support/tracker.php?aid=1842412

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>:
Bug#446257; Package mailman. Full text and rfc822 format available.

Acknowledgement sent to Philip Hands <phil@hands.com>:
New Bug report received and forwarded. Copy sent to Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philip Hands <phil@hands.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mailman: case sensitivity of list names is inconsistent across list_lists/list_members/list_admins
Date: Thu, 11 Oct 2007 14:14:42 +0100
Package: mailman
Version: 1:2.1.9-7
Severity: minor


... as demonstrated here:

root@free:~# list_lists | grep -i skiing
          Skiing - Phil's skiing holiday coordination list
root@free:~# list_admins Skiing
No such list: Skiing
root@free:~# list_admins skiing
List: skiing,   Owners: phil@hands.com
root@free:~# list_members Skiing | wc
     36      36     846
root@free:~# list_members skiing | wc
     36      36     846
root@free:~# list_members sKIING | wc
     36      36     846

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-free
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mailman depends on:
ii  adduser                3.102             Add and remove users and groups
ii  apache2                2.2.3-4+etch1     Next generation, scalable, extenda
ii  apache2-mpm-worker [ht 2.2.3-4+etch1     High speed threaded model for Apac
ii  cron                   3.0pl1-100        management of regular background p
ii  debconf [debconf-2.0]  1.5.11            Debian configuration management sy
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries
ii  logrotate              3.7.1-3           Log rotation utility
ii  lsb-base               3.1-23.2etch1     Linux Standard Base 3.1 init scrip
ii  postfix [mail-transpor 2.3.8-2+b1        A high-performance mail transport 
ii  pwgen                  2.05-1            Automatic Password generation
ii  python                 2.4.4-2           An interactive high-level object-o
ii  python-support         0.5.6             automated rebuilding support for p
ii  ucf                    2.0020            Update Configuration File: preserv

mailman recommends no packages.

-- debconf information:
* mailman/site_languages: de, en
* mailman/used_languages: de en
* mailman/create_site_list:
* mailman/queue_files_present:
* mailman/default_server_language: en
  mailman/gate_news: false




Information forwarded to debian-bugs-dist@lists.debian.org, Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>:
Bug#446257; Package mailman. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 446257@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Philip Hands <phil@hands.com>
Cc: 446257@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-mailman-hackers] Bug#446257: mailman: case sensitivity of list names is inconsistent across list_lists/list_members/list_admins
Date: Sat, 1 Dec 2007 19:49:30 +0100
[Message part 1 (text/plain, inline)]
tags 446257 patch
forwarded 446257 http://sf.net/support/tracker.php?aid=1842412
thanks

On Thursday 11 October 2007 15:14, Philip Hands wrote:
> Package: mailman
> Version: 1:2.1.9-7
> Severity: minor
>
>
> ... as demonstrated here:
>
> root@free:~# list_lists | grep -i skiing
>           Skiing - Phil's skiing holiday coordination list
> root@free:~# list_admins Skiing
> No such list: Skiing

Thanks, I've sent the attached patch to upstream.


Thijs
[446257_mailman_case.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Tags added: patch Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 18:57:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://sf.net/support/tracker.php?aid=1842412. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 18:57:04 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philip Hands <phil@hands.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 446257-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 446257-close@bugs.debian.org
Subject: Bug#446257: fixed in mailman 1:2.1.10~b3-1
Date: Thu, 21 Feb 2008 23:47:04 +0000
Source: mailman
Source-Version: 1:2.1.10~b3-1

We believe that the bug you reported is fixed in the latest version of
mailman, which is due to be installed in the Debian FTP archive:

mailman_2.1.10~b3-1.diff.gz
  to pool/main/m/mailman/mailman_2.1.10~b3-1.diff.gz
mailman_2.1.10~b3-1.dsc
  to pool/main/m/mailman/mailman_2.1.10~b3-1.dsc
mailman_2.1.10~b3-1_i386.deb
  to pool/main/m/mailman/mailman_2.1.10~b3-1_i386.deb
mailman_2.1.10~b3.orig.tar.gz
  to pool/main/m/mailman/mailman_2.1.10~b3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 446257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated mailman package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 22 Feb 2008 00:09:11 +0100
Source: mailman
Binary: mailman
Architecture: source i386
Version: 1:2.1.10~b3-1
Distribution: unstable
Urgency: low
Maintainer: Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 mailman    - Powerful, web-based mailing list manager
Closes: 260224 446257 450399
Changes: 
 mailman (1:2.1.10~b3-1) unstable; urgency=low
 .
   * New upstream beta release.
     + Restricts XSS by list admins, CVE-2008-0564.
     + Obsoletes 56_fix_de_broken_links.patch.
     + Obsoletes 81_backport_export.dpatch.
     + Makes list handling case sensitivity consistent (closes: #446257).
     + Archives do not drop headerless mime parts (Closes: #450399).
     + check_perms checks more perms (Closes: #260224).
Files: 
 b124db23f70873bf34a63e504cbab239 1227 mail optional mailman_2.1.10~b3-1.dsc
 853ac2f5e92ba3d19bbd770650cb7438 7826136 mail optional mailman_2.1.10~b3.orig.tar.gz
 b43bc402f64fff2833dc8fc65e7f2f28 137765 mail optional mailman_2.1.10~b3-1.diff.gz
 dd4328d701af27f5bcd20647a7d8b6dc 9205544 mail optional mailman_2.1.10~b3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBR74LfWz0hbPcukPfAQI41wgAq7YRb17QJgDIZIqB+kRZBXUX+lq9HtsS
GWFiGcMUk30Q5hXKCQ647fAQ2SsayWyL1+DbAAz4AZynstWpx/BAubPFkMKBE9Qw
Ke8xfLI39U6UnqryFJRDYEV7ePn/tXFZ+jyjdNBUrO6LXpcyZZ+X90nlejkf4EKp
OCkqgg8gNfpFbEjCQ4I2T2r2HzD31Zbb9nvaHvsJwXNGpjFyv5/owJcwyJ5VeF2q
PHiqqCxbczUwb6VLeILLQu6KVD2phRihoRlEmiJqVJkEc3QiwdCrPv5pa7Ld4I6N
r9EOzmiwjlQ3ej+5jS8sx0dGqxJMF/usuex5As8iGDyZPpE4zAT5nw==
=6yQt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:07:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.